common:
  api_name: firestore
  api_version: v1beta1
  organization_name: google-cloud
  proto_deps:
  - name: google-common-protos
  gapic_yaml: v1beta1/firestore_gapic.yaml
  src_proto_paths:
  - v1beta1
  service_yaml: firestore.yaml
artifacts:
- name: gapic_config
  type: GAPIC_CONFIG
- name: java_gapic
  type: GAPIC_ONLY
  language: JAVA
  publish_targets:
  - name: staging
    type: GITHUB
    location: git@github.com:googleapis/api-client-staging.git
    directory_mappings:
    - dest: generated/java/gapic-google-cloud-firestore-v1beta1
    - name: grpc
      dest: generated/java/grpc-google-cloud-firestore-v1beta1
    - name: proto
      dest: generated/java/proto-google-cloud-firestore-v1beta1
  - name: java
    type: GITHUB
    location: git@github.com:GoogleCloudPlatform/google-cloud-java.git
    directory_mappings:
    - dest: google-cloud-firestore
- name: python_gapic
  type: GAPIC
  language: PYTHON
- name: nodejs_gapic
  type: GAPIC
  language: NODEJS
- name: php_gapic
  type: GAPIC
  language: PHP
- name: go_gapic
  type: GAPIC
  language: GO
- name: ruby_gapic
  type: GAPIC
  language: RUBY
- name: csharp_gapic
  type: GAPIC
  language: CSHARP
